[arch-commits] Commit in (5 files)

Jan Steffens heftig at archlinux.org
Sat Nov 17 08:53:45 UTC 2012


    Date: Saturday, November 17, 2012 @ 03:53:44
  Author: heftig
Revision: 171321

Add check (makedep for pulse 3)

Added:
  check/
  check/repos/
  check/trunk/
  check/trunk/PKGBUILD
  check/trunk/check.install

---------------+
 PKGBUILD      |   31 +++++++++++++++++++++++++++++++
 check.install |   20 ++++++++++++++++++++
 2 files changed, 51 insertions(+)

Added: check/trunk/PKGBUILD
===================================================================
--- check/trunk/PKGBUILD	                        (rev 0)
+++ check/trunk/PKGBUILD	2012-11-17 08:53:44 UTC (rev 171321)
@@ -0,0 +1,31 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Jaroslav Lichtblau <dragonlord at aur.archlinux.org>
+# Contributor: Jeremy Cowgar <jeremy at cowgar.com>
+
+pkgname=check
+pkgver=0.9.9
+pkgrel=1
+pkgdesc="A unit testing framework for C"
+arch=('i686' 'x86_64')
+url="http://check.sourceforge.net/"
+license=('LGPL')
+options=('!libtool')
+install=$pkgname.install
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('f3702f2fcfc19ce3f62dca66c241a168')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --disable-static
+  make
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+
+  # get rid of the package's info directory,
+  # install-info adds entries for us at install-time
+  rm "$pkgdir/usr/share/info/dir"
+}


Property changes on: check/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property
Added: check/trunk/check.install
===================================================================
--- check/trunk/check.install	                        (rev 0)
+++ check/trunk/check.install	2012-11-17 08:53:44 UTC (rev 171321)
@@ -0,0 +1,20 @@
+_infodir=/usr/share/info
+_filelist=(check.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${_filelist[@]}; do
+    install-info $_infodir/$file $_infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${_filelist[@]}; do
+    install-info --delete $_infodir/$file $_infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list